Package: gmediarender
Version: 0.0.7~git20140302+repack-2
Severity: normal
Dear Maintainer,
*** Reporter, please consider answering these questions, where appropriate ***
* What led up to the situation?
dash and bash do not expand variables recursively. Quoted " chars are
not removed without using eval.
* What exactly did you do (or not do) that was effective (or
ineffective)?
Have multiple instances of gmediarenderer in network. Not expanding the
quotes arount -u option make uid not work. Causes problems with
controllers like upplay (but bubbleupnp works fine).
* What was the outcome of this action?
Friendly name is not passed correctly and -u does not work.
* What outcome did you expect instead?
can u use eval before start-stop-daemon? For me it works.
*** End of the template - remove these template lines ***
Thank you,
Jürgen
-- System Information:
Debian Release: 8.2
APT prefers stable-updates
APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)
Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
Versions of packages gmediarender depends on:
ii libc6 2.19-18+deb8u1
ii libglib2.0-0 2.42.1-1
ii libgstreamer1.0-0 1.4.4-2
ii libupnp6 1:1.6.19+git20141001-1
ii lsb-base 4.1+Debian13+nmu1
Versions of packages gmediarender recommends:
ii gstreamer1.0-plugins-good 1.4.4-2
gmediarender suggests no packages.
-- Configuration Files:
/etc/default/gmediarender changed:
ENABLED=1
DAEMON_USER="nobody:audio"
UPNP_DEVICE_NAME="Workstation [$(hostname)]"
INITIAL_VOLUME_DB=-10
ALSA_DEVICE="dmixer"
DAEMON_EXTRA_ARGS="--logfile /var/log/gmediarender.log"
/etc/init.d/gmediarender changed:
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="GMediaRender"
NAME=gmediarender
DAEMON=/usr/bin/$NAME
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
DAEMON_USER="nobody:audio"
UPNP_DEVICE_NAME="gmediarender"
INITIAL_VOLUME_DB=-10
ALSA_DEVICE="sysdefault"
DAEMON_EXTRA_ARGS=""
[ -x "$DAEMON" ] || exit 0
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
[ "x$ENABLED" = "x1" ] || exit 0
. /lib/init/vars.sh
. /lib/lsb/init-functions
if [ -n "$ALSA_DEVICE" ] ; then
GS_SINK_PARAM="--gstout-audiosink=alsasink"
GS_DEVICE_PARAM="--gstout-audiodevice=$ALSA_DEVICE"
fi
UPNP_UUID=`ip link show | awk '/ether/ {print "salt:)-" $2}' | head -1 | md5sum
| awk '{print $1}'`
DAEMON_ARGS=" -f \"$UPNP_DEVICE_NAME\" -d -u \"$UPNP_UUID\" $GS_SINK_PARAM
$GS_DEVICE_PARAM --gstout-initial-volume-db=$INITIAL_VOLUME_DB
$DAEMON_EXTRA_ARGS"
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON
--test > /dev/null \
|| return 1
eval start-stop-daemon -c "$DAEMON_USER" --start --quiet --pidfile $PIDFILE
--exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
do_stop()
{
start-stop-daemon --stop --quiet --exec $DAEMON
return 0
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile
$PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec
$DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name
$NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
-- no debconf information